﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Windows.Forms;

namespace LINQtoCSVTest
{
	public partial class EditData : Form
	{
		private CSVDATA FData = null;

		public CSVDATA RowData { get { return FData; } set { FData = value; } }
		//---------------------------------------------------------------------------------------------
		public EditData()
		{
			InitializeComponent();
		}

		private void EditData_Load(object sender, EventArgs e)
		{
			if (FData != null)
			{
				var names = FData.氏名.Split(' ');
				txtFamilyName.Text = names[0];

				if (names.Length > 1)
					txtName.Text = names[1];
				else
					txtName.Text = "";

				dtPicker.Value = FData.生年月日;
				txtAddress.Text = FData.住所;
				udAge.Value = (decimal)FData.没年時の年齢;
			}
		}

		private void btnOK_Click(object sender, EventArgs e)
		{
			if (FData != null)
			{
				//FData = new CSVDATA();
				FData.氏名 = txtFamilyName.Text + " " + txtName.Text;
				FData.生年月日 = dtPicker.Value;
				FData.住所 = txtAddress.Text;
				FData.没年時の年齢 = (int)udAge.Value;
			}

			this.DialogResult = DialogResult.OK;
		}

		private void btnCancel_Click(object sender, EventArgs e)
		{
			this.DialogResult = DialogResult.Cancel;
		}
	}
}
